Check if contracts are verified (full or partial match) by addresses and chain IDs
curl --request GET \
--url https://api.example.com/check-all-by-addressesimport requests
url = "https://api.example.com/check-all-by-addresses"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/check-all-by-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"address": "<string>",
"chainIds": [
{
"chainId": "<string>",
"status": "<string>"
}
]
}
]Smart Contract Verification API
Check if contracts are verified (full or partial match) by addresses and chain IDs
Checks if contract with the desired chain and address is verified and in the repository. It will search for both perfect and partial matches.
GET
/
check-all-by-addresses
Check if contracts are verified (full or partial match) by addresses and chain IDs
Query Parameters
Comma seperated string of addresses to check for.
Comma separated string of chain IDs.
Was this page helpful?